
From: William Lee Irwin III <wli@holomorphy.com>

The forward static declaration in a header is a) weird and b) generates a
warning if the inline function which needs it is not expanded.

Move these things from .h into .c


 arch/i386/kernel/mpparse.c                 |   10 ++++++++++
 include/asm-i386/mach-numaq/mach_mpparse.h |   13 -------------
 2 files changed, 10 insertions(+), 13 deletions(-)

diff -puN arch/i386/kernel/mpparse.c~numaq-mpc-warning-fix arch/i386/kernel/mpparse.c
--- 25/arch/i386/kernel/mpparse.c~numaq-mpc-warning-fix	2003-10-13 04:20:51.000000000 -0700
+++ 25-akpm/arch/i386/kernel/mpparse.c	2003-10-13 04:20:51.000000000 -0700
@@ -337,6 +337,16 @@ static void __init smp_read_mpc_oem(stru
 		}
        }
 }
+
+static inline void mps_oem_check(struct mp_config_table *mpc, char *oem,
+		char *productid)
+{
+	if (strncmp(oem, "IBM NUMA", 8))
+		printk("Warning!  May not be a NUMA-Q system!\n");
+	if (mpc->mpc_oemptr)
+		smp_read_mpc_oem((struct mp_config_oemtable *) mpc->mpc_oemptr,
+				mpc->mpc_oemsize);
+}
 #endif	/* CONFIG_X86_NUMAQ */
 
 /*
diff -puN include/asm-i386/mach-numaq/mach_mpparse.h~numaq-mpc-warning-fix include/asm-i386/mach-numaq/mach_mpparse.h
--- 25/include/asm-i386/mach-numaq/mach_mpparse.h~numaq-mpc-warning-fix	2003-10-13 04:20:51.000000000 -0700
+++ 25-akpm/include/asm-i386/mach-numaq/mach_mpparse.h	2003-10-13 04:20:51.000000000 -0700
@@ -1,9 +1,6 @@
 #ifndef __ASM_MACH_MPPARSE_H
 #define __ASM_MACH_MPPARSE_H
 
-static void __init smp_read_mpc_oem(struct mp_config_oemtable *oemtable,
-		        unsigned short oemsize);
-
 static inline void mpc_oem_bus_info(struct mpc_config_bus *m, char *name, 
 				struct mpc_config_translation *translation)
 {
@@ -24,16 +21,6 @@ static inline void mpc_oem_pci_bus(struc
 	quad_local_to_mp_bus_id[quad][local] = m->mpc_busid;
 }
 
-static inline void mps_oem_check(struct mp_config_table *mpc, char *oem, 
-		char *productid)
-{
-	if (strncmp(oem, "IBM NUMA", 8))
-		printk("Warning!  May not be a NUMA-Q system!\n");
-	if (mpc->mpc_oemptr)
-		smp_read_mpc_oem((struct mp_config_oemtable *) mpc->mpc_oemptr, 
-				mpc->mpc_oemsize);
-}
-
 /* Hook from generic ACPI tables.c */
 static inline void acpi_madt_oem_check(char *oem_id, char *oem_table_id)
 {

_
